<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../data/data_for_test.php';
require_once '../../data/data_for_lec.php';

require_once '../../util/for_practice.php';
require_once '../../util/change_util.php';

if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$event_link_id ="";
$status = "";
$event_type = "";

$practice_id="";
$vote_id = "";
$quiz_id = "";
$show_form="";

$answer_num = 0;
$answer_num_txt = "";
$result_sum_txt = "";
$answer_list_txt = "";
$student_answer = "<h2>"._EXAM_COMMON_ANALYZE_YOUR_ANS_TXT."</h2>";

$err_msg = "";
$event_link_object = null;
$uid = "";

if (isset($_GET["event_link_id"]) && is_numeric($_GET["event_link_id"])) {
	$event_link_id = $_GET["event_link_id"];

	$event_link_object = new CEventLinkTableAccess();
}else {
	$err_msg = "No Event Link ID<br/>";
}

if (isset($_GET["uid"]) && is_numeric($_GET["uid"])) {
	$uid = $_GET["uid"];
}

if ($err_msg == "") {
	if (!$event_link_object->setOneEventLink($conn,$event_link_id)) {
		$err_msg = "Failed to Search Event";
	} else {
		if ($res = $event_link_object->dbFetchArr()) {
			$event_type = $res["event_type"];
			if ($event_type == 2) {
				//٥Ȥ
				$practice_id = $res["event_id"];
			} else if ($event_type == 3) {
				//٥Ȥɼ
				$vote_id = $res["event_id"];
			} else if ($event_type == 4) {
				//ƥ
				$quiz_id = $res["event_id"];
			}
		} else {
			$err_msg = "Failed to Search Event";
		}
		$event_link_object->dbFreeResult();
	}


if ($practice_id <> "") {

	$practice_object = new CPracTableAccess();
	$practice_data = $practice_object->getDetailPracticeData($conn,$practice_id);

	if ($practice_data == false) {
		$show_form = "<font color='red'>Failed to Search for Practice Data</font>";
	} else {
		$show_form .= "<h3>".htmlspecialchars($practice_data["practice_title"],ENT_QUOTES)."</h3>";
		//$show_form .=nl2br(htmlspecialchars($practice_data["practice_text"],ENT_QUOTES));
		$show_form .=source2Html($practice_data["practice_text"]);

		$show_form .= "<br/>";
		if ($practice_data["img_file"] <> "") {
			$show_form .= "<img src='".IMG_URL."prac_".$practice_id."/".htmlspecialchars($practice_data["img_file"],ENT_QUOTES)."' width='300' height='200' /><p/>";
		}
		if ($practice_data["av_file"] <> "" && $practice_data["av_file"] <> null) {
			$show_form .= "<embed src='".AV_URL."prac_".$practice_id."/".htmlspecialchars($practice_data["av_file"],ENT_QUOTES)."' autostart='false' width='300' height='200' /><p/>";
		}

		//if ($practice_data["answer"] == 0 || $practice_data["answer"] == 2) $must_all = 1;

		if ($practice_data["answer"] == 1 || $practice_data["answer"] == 2) {
			$item_object = new CPracItemTableAccess();
			$item_array = array();
			$right_item_txt = "";
			if ($item_object->setItemPerPracticeArr($conn, $practice_id)) {
				while ($item_data = $item_object->dbFetchArr()) {
					if ($practice_data["answer"] == 1) $show_form .="<input type='radio'/>";
					if ($practice_data["answer"] == 2) $show_form .="<input type='checkbox'/>";

					$show_form .=htmlspecialchars($item_data['item_order'],ENT_QUOTES)." ";
//					$show_form .=htmlspecialchars($item_data['item_txt'],ENT_QUOTES)."<br/>";
					$show_form .=source2Html($item_data['item_txt'])."<br/>";

					//if ($status == 2) {
					$item_array[$item_data['item_order']]["answer_cnt"] = 0;
					if (!isset($item_array[$item_data['item_order']]["ana_txt"])) $item_array[$item_data['item_order']]["ana_txt"] = "";

					//$item_array[$item_data['item_order']]["ana_txt"] .= htmlspecialchars($item_data['item_txt'],ENT_QUOTES);
					$item_array[$item_data['item_order']]["ana_txt"] .= source2Html($item_data['item_txt']);

					if ($item_data['is_right'] == 1) {
						$right_item_txt .= $item_data['item_order'].",";
						$item_array[$item_data['item_order']]["ana_txt"] .= " "._EXAM_STU_PRACTICE_RIGHT;
					}
					//}
				}
				$right_item_txt = substr($right_item_txt,0,-1);
				$item_object->dbFreeResult();
			}
		} else {
			$show_form .= "<input type='text' size=50/>";
			//if ($status==2) {
			$show_form .= "<br/><h2>Key Words</h2>";
			$key_word_object = new CPracKeyWordTableAccess();
			$key_word_arr = array();
			if ($key_word_object->setKeyWordPerPracticeArr($conn,$practice_id)) {
				while($key_data = $key_word_object->dbFetchArr()) {
					array_push($key_word_arr,$key_data["key_word_txt"]);
					$show_form .= htmlspecialchars($key_data["key_word_txt"],ENT_QUOTES).",";
				}
				$key_word_object->dbFreeResult();
			}
			$show_form .= "<br/>";
			//}
		}
		//if ($status == 2) $show_form .="<p/><hr/>"._NORM_COMMON_LECTURE_COMMENT."<br/>".nl2br(htmlspecialchars($practice_data["comment"],ENT_QUOTES))."<p/><hr/>";
		//$show_form .="<p/><hr/>"._NORM_COMMON_LECTURE_COMMENT."<br/>".nl2br(htmlspecialchars($practice_data["comment"],ENT_QUOTES))."<p/><hr/>";
		$show_form .="<p/><hr/>"._NORM_COMMON_LECTURE_COMMENT."<br/>".source2Html($practice_data["comment"])."<p/><hr/>";

	//ν
		$lec_prac_ans_object = new CLecpraAnsTableAccess();
		$right_cnt = 0;
		if ($lec_prac_ans_object->setAnswerPerLink($conn,$event_link_id)) {
			while ($answer = $lec_prac_ans_object->dbFetchArr()) {
				$is_right = 0;
				$answer_num++;

				//if ($status == 2) {
				if ($practice_data["answer"] == 1) {
						//Ĥ
					if ($answer["answer"]==$right_item_txt) {
						$is_right = 1;
					}
					$item_array[$answer["answer"]]["answer_cnt"]++;
				} else if ($practice_data["answer"] == 2) {
						//ʣCSVηΥǡ
					if ($answer["answer"]==$right_item_txt) {
						$is_right = 1;
					}

					$ansed_item_arr = explode(",",$answer["answer"]);
					foreach ($ansed_item_arr as $answered) {
						$item_array[$answered]["answer_cnt"]++;
					}
				} else if ($practice_data["answer"] == 0) {
						//ҼäƤɬפ
					$is_right = 1;
					foreach ($key_word_arr as $key_word) {
						if (!mb_ereg($key_word, $answer["answer"])) {
							$is_right = 0;
						}
					}
					$answer_list_txt .= htmlspecialchars($answer["answer"],ENT_QUOTES)."<br/>";
				} else if ($practice_data["answer"] == 5) {
						//ɤҤȤĤǤ⤢OK
					$is_right = 0;
					foreach ($key_word_arr as $key_word) {
						if (mb_ereg($key_word, $answer["answer"])) $is_right = 1;
					}
					$answer_list_txt .= htmlspecialchars($answer["answer"],ENT_QUOTES)."<br/>";
				}
				$right_cnt += $is_right;
				if ($uid == $answer["uid"]) {
					$student_answer .= htmlspecialchars($answer["answer"],ENT_QUOTES)."(";
					if ($is_right == 1) {
						$student_answer .= _NORM_USER_YOUR_ANS_OK;
					} else {
						$student_answer .= _NORM_USER_YOUR_ANS_NG;
					}
					$student_answer .= ")";
				}

				//}
			}
			$lec_prac_ans_object->dbFreeResult();
		}
		$answer_num_txt = "<h2>"._EXAM_COMMON_PRACTICE_ANA_KAISU.$answer_num."</h2>";
		//if ($status == 2) {
		$ana_img = "<img src='https://chart.googleapis.com/chart?cht=p3&amp;chs=500x200&chd=t:";
		$ana_img2 = "";
		$seikairitsu = 0;
		if ($answer_num<>0) $seikairitsu = intval(($right_cnt/$answer_num*100));
		$result_sum_txt = "<h2>"._EXAM_COMMON_PRACTICE_ANA_SEIKA.$seikairitsu."%</h2>";
		if ($practice_data["answer"] == 1 || $practice_data["answer"] == 2) {
			foreach ($item_array as $key=>$val) {
				$result_sum_txt .= "<b>".$key."</b> ";
				$result_sum_txt .= $val["ana_txt"]." (";
				if ($practice_data["answer"] == 1) {
					$ans_percent = 0;
					if ($answer_num<>0) $ans_percent = intval($val["answer_cnt"]/$answer_num*100);
					$result_sum_txt .= $ans_percent."%)<br/>";
					$ana_img .= $ans_percent.",";
					$ana_img2 .= $key.":".$val["answer_cnt"]._NORM_COMMON_LECTURE_MAL."|";
				} else {
					$result_sum_txt .= $val["answer_cnt"]._NORM_COMMON_LECTURE_MAL.")";
				}
			}
			if ($practice_data["answer"] == 1) {
				$ana_img = substr($ana_img,0,-1);
				$ana_img2 = substr($ana_img2,0,-1);
				$ana_img .= "&amp;chl=".$ana_img2."'/>";

				$result_sum_txt .= $ana_img;
			}
		} else if ($practice_data["answer"] == 0 || $practice_data["answer"] == 5){
			$result_sum_txt .= $answer_list_txt;
		}
		//}
	}
	$show_form .= $result_sum_txt;
} else if ($vote_id <>"") {
	$vote_object = new CVoteTableAccess();
	$vote_data = $vote_object->getDetailVote($conn,$vote_id);
	if ($vote_data == false) {
		$show_form = "<font color='red'>Failed to Search for Vote Data</font>";
	} else {
		$show_form .= "<h3>".htmlspecialchars($vote_data["vote_title"],ENT_QUOTES)."</h3>";
		//$show_form .=nl2br(htmlspecialchars($vote_data["vote_text"],ENT_QUOTES));
		$show_form .=source2Html($vote_data["vote_text"]);

		$show_form .= "<br/>";
		if ($vote_data["img_url"] <> "") {
			$show_form .= "<img src='".htmlspecialchars($vote_data["img_url"],ENT_QUOTES)."' width='300' height='200' /><p/>";
		}
		if ($vote_data["answer"] == 1 || $vote_data["answer"] == 2) {
			$item_object = new CVoteItemTableAccess();
			$item_array = array();
			if ($item_object->setItemPerVoteArr($conn, $vote_id)) {
				while ($item_data = $item_object->dbFetchArr()) {
					if ($vote_data["answer"] == 1) $show_form .="<input type='radio'/>";
					if ($vote_data["answer"] == 2) $show_form .="<input type='checkbox'/>";

					$show_form .=htmlspecialchars($item_data['item_order'],ENT_QUOTES)." ";
					//$show_form .=htmlspecialchars($item_data['item_txt'],ENT_QUOTES)."<br/>";
					$show_form .=source2Html($item_data['item_txt'])."<br/>";

					//if ($status == 2) {
					$item_array[$item_data['item_order']]["answer_cnt"] = 0;
					if (!isset($item_array[$item_data['item_order']]["ana_txt"])) $item_array[$item_data['item_order']]["ana_txt"] = "";

					$item_array[$item_data['item_order']]["ana_txt"] .= source2Html($item_data['item_txt']);

					//}
				}
				$item_object->dbFreeResult();
			}
		} else {
			$show_form .= "<input type='text' size=50/>";
		}
		//if ($status == 2) $show_form .="<p/><hr/>"._NORM_COMMON_LECTURE_COMMENT."<br/>".nl2br(htmlspecialchars($vote_data["vote_comment"],ENT_QUOTES)."<p/><hr/>");
		$show_form .="<p/><hr/>"._NORM_COMMON_LECTURE_COMMENT."<br/>".source2Html($vote_data["vote_comment"])."<p/><hr/>";

		//ν
		$vote_ans_object = new CVoteAnsTableAccess();
		if ($vote_ans_object->setAnswerPerLink($conn,$event_link_id)) {
			$answer_list_txt = "";
			while ($res = $vote_ans_object->dbFetchArr()) {
				$answer_num++;
				//if ($status == 2) {
				if ($vote_data["answer"] == 1) {
					$item_array[$res["answer"]]["answer_cnt"]++;
				} else if ($vote_data["answer"] == 2) {
					$ansed_item_arr = explode(",",$res["answer"]);
					foreach ($ansed_item_arr as $answered) {
						$item_array[$answered]["answer_cnt"]++;
					}
				} else {
					$answer_list_txt .= htmlspecialchars($res["answer"],ENT_QUOTES)."<br/>";
				}
				//}
				if ($uid == $res["uid"]) {
					$student_answer .= htmlspecialchars($res["answer"],ENT_QUOTES);
				}
			}
			$vote_ans_object->dbFreeResult();
		}
		$answer_num_txt = "<h2>"._EXAM_COMMON_PRACTICE_ANA_KAISU.$answer_num."</h2>";
		//if ($status == 2) {
		$ana_img = "<img src='https://chart.googleapis.com/chart?cht=p3&amp;chs=500x200&chd=t:";
		$ana_img2 = "";
		if ($vote_data["answer"] == 1 || $vote_data["answer"] == 2) {
			foreach ($item_array as $key=>$val) {
				$result_sum_txt .= "<b>".$key."</b> ";
				$result_sum_txt .= $val["ana_txt"]." (";
				$ans_percent = intval($val["answer_cnt"]/$answer_num*100);

				$result_sum_txt .= $ans_percent."%)<br/>";
				$ana_img .= $ans_percent.",";
				$ana_img2 .= $key.":".$val["answer_cnt"]._NORM_COMMON_LECTURE_MAL."|";

			}
			$ana_img = substr($ana_img,0,-1);
			$ana_img2 = substr($ana_img2,0,-1);
			$ana_img .= "&amp;chl=".$ana_img2."'/>";
			$result_sum_txt .= $ana_img;
		} else {
			$result_sum_txt .= $answer_list_txt;
		}
		//}
	}
	$show_form .= $result_sum_txt;
} else if ($quiz_id <> "") {
	$attempt_arr = array();
	$quiz_inlec_object = new CQuizInLecture();
	if ($quiz_inlec_object->setAttemptSummary($conn,$event_link_id)) {
		while ($res = $quiz_inlec_object->dbFetchArr()) {
			if (!isset($attempt_arr[$res["practice_id"]])) {
				$attempt_arr[$res["practice_id"]] = array();
			}
			array_push($attempt_arr[$res["practice_id"]], $res);
		}
		$quiz_inlec_object->dbFreeResult();
	}
			//ƥȤδܾ
	$quiz_object = new CQuizTableAccess();
	$quiz_data = $quiz_object->getDetailQuiz($conn,$quiz_id);
	if ($quiz_data <> false) {
		$show_form .= "<h1>".htmlspecialchars($quiz_data["quiz_nam"],3)."</h1>";
		$show_form .= nl2br(htmlspecialchars($quiz_data["comment"],3))."<p/>";
		$show_form .= "<h2>"._NORM_COMMON_QUIZ_ANALYSIS."</h2>";
		$show_form .= _NORM_COMMON_QUIZ_ANSCNT.$quiz_data["ans_cnt"]."<br/>";
		$show_form .= _NORM_COMMON_QUIZ_AVESCORE.round($quiz_data["ave_score"],2)."<br/>";
		$show_form .= _NORM_COMMON_QUIZ_SDSCORE.round($quiz_data["sd_score"],2)."<br/>";
		$show_form .= _NORM_COMMON_QUIZ_MAXSCORE.$quiz_data["max_score"]."<br/>";
		$show_form .= _NORM_COMMON_QUIZ_MINSCORE.$quiz_data["min_score"]."<br/><p/>";
	}

	//ּԤξ
	$result_object = new CQuizResultTableAccess();
	$your_result = $result_object->getYourResult($conn,$uid,$event_link_id);
	if ($your_result <> false) {
		$show_form .= _NORM_USER_YOUR_ANS_SCORE1.$your_result["score"]._NORM_USER_YOUR_ANS_SCORE2;
		$show_form .= "<br/>";

		if ($quiz_data["sd_score"] == 0) {
			$hensachi = "--";
		} else {
		$hensachi = ($your_result["score"]-$quiz_data["ave_score"])/$quiz_data["sd_score"]*10+50;
		$hensachi = round($hensachi,2);
		}
		$show_form .= _NORM_USER_YOUR_ANS_SD.$hensachi."<br/>";

	}
	$show_form .= "<hr/>";

	$your_answer = "";

	//
	$praclink_object = new CStudentInLecture();
	if ($praclink_object->setQuizAndPra($conn,$quiz_id)) {
		while ($res = $praclink_object->dbFetchArr()) {
			$prac_id = $res["practice_id"];
			$at_per_pra = $attempt_arr[$prac_id];

			$show_form .= "<h2><b>".$res["quiz_order"]."</b> ";
			$show_form .= htmlspecialchars($res["practice_title"],3)." (";
			$show_form .= _EXAM_TEA_TEST_QUEST_FORM_RATIO_TXT.$res["score"].")</h2><br/>";
			//$show_form .= nl2br(htmlspecialchars($res["practice_text"],3))."<br/>";
			$show_form .= source2Html($res["practice_text"])."<br/>";

			$img_view = "";
			if ($res['img_file'] <> ""){
			$img_view = "<img src='". IMG_URL."prac_";
			$img_view .= intval($res['practice_id'])."/".$res['img_file']."'";

			$img_view .= " width=300 height=200";
			$img_view .="/><br/><br/>";
			}
			$show_form .= $img_view;

			$av_view = "";
			if ($res['av_file'] <> "" && $res['av_file'] <> null){
			$av_view = "<embed src='". LOCAL_URL."av_files/prac_";
			$av_view .= intval($res['practice_id'])."/".$res['av_file']."'";

			$av_view .= " autostart='false' width=300 height=200";
			$av_view .="/><br/><br/>";
			}
			$show_form .= $av_view;

			$right_cnt = 0;
			if ($res["answer"] == 0 || $res["answer"] == 5) {
				$show_form .= "<h3>Key Words</h3>";
				$prac_kw_object = new CPracKeyWordTableAccess();
				if ($prac_kw_object->setKeyWordPerPracticeArr($conn, $prac_id)) {
					while ($kw_data = $prac_kw_object->dbFetchArr()) {
						$show_form .= htmlspecialchars($kw_data["key_word_txt"],3).",";
					}
					$prac_kw_object->dbFreeResult();
				}

				$show_form .= "<br/>";
				$show_form .= "<h2>"._NORM_COMMON_QUIZ_ANSWER_LIST."</h2>";
				foreach ($at_per_pra as $ans_data) {
					$right_cnt += intval($ans_data["is_right"]);
					$show_form .= htmlspecialchars($ans_data["ans_txt"],3)."<br/>";
					if ($uid == $ans_data["uid"]) {
						$your_answer = htmlspecialchars($ans_data["ans_txt"],3);
						if ($ans_data["is_right"] == 1) {
							$your_answer .= " "._NORM_USER_YOUR_ANS_OK;
						} else {
							$your_answer .= " "._NORM_USER_YOUR_ANS_NG;
						}
					}
				}

			} else if ($res["answer"] == 1 || $res["answer"] == 2) {
				$item_ans_arr = array();
				foreach ($at_per_pra as $ans_data) {
					$order_arr = explode(",",$ans_data["ans_txt"]);
					foreach ($order_arr as $order) {
						if (!isset($item_ans_arr[$order])) {
							$item_ans_arr[$order] = 1;
						} else {
							$item_ans_arr[$order]++;
						}
					}
					$right_cnt += intval($ans_data["is_right"]);
					if ($uid == $ans_data["uid"]) {
						$your_answer = htmlspecialchars($ans_data["ans_txt"],3);
						if ($ans_data["is_right"] == 1) {
							$your_answer .= " "._NORM_USER_YOUR_ANS_OK;
						} else {
							$your_answer .= " "._NORM_USER_YOUR_ANS_NG;
						}
					}
				}
				$ana_img = "";
				$ana_img2 = "";
				if ($res["answer"] == 1) {
					$ana_img = "<img src='https://chart.googleapis.com/chart?cht=p3&amp;chs=500x200&chd=t:";
				}
				$prac_item_object = new CPracItemTableAccess();
				if ($prac_item_object->setItemPerPracticeArr($conn, $prac_id)) {
					while ($prac_item = $prac_item_object->dbFetchArr()) {

						$ans_cnt=0;
						if (isset($item_ans_arr[$prac_item["item_order"]])) {
							$ans_cnt = intval($item_ans_arr[$prac_item["item_order"]]);
						}

						$show_form .= "<b>".$prac_item["item_order"]."</b> ";
						//$show_form .= htmlspecialchars($prac_item["item_txt"],3)."(";
						$show_form .= source2Html($prac_item["item_txt"])."(";

						if ($res["answer"] == 1) {
							$ans_percent =0;
							if (count($at_per_pra) <> 0) {
							//	$ans_percent =intval($item_ans_arr[$prac_item["item_order"]]/count($at_per_pra)*100);
								$ans_percent =intval($ans_cnt/count($at_per_pra)*100);
							}
							$show_form .= $ans_percent."%)";
							$ana_img .= $ans_percent.",";
							//$ana_img2 .=$prac_item["item_order"].":".$item_ans_arr[$prac_item["item_order"]]._NORM_COMMON_LECTURE_MAL."|";
							$ana_img2 .=$prac_item["item_order"].":".$ans_cnt._NORM_COMMON_LECTURE_MAL."|";

						} else {
							$show_form .= $item_ans_arr[$prac_item["item_order"]]._NORM_COMMON_LECTURE_MAL.")";
						}
						if ($prac_item["is_right"] == 1) {
							$show_form .= " <b>("._EXAM_TEA_OPTION_RIGHT_ANS.")</b>";
						}

						$show_form .= "<br/>";
					}
					if ($res["answer"] == 1) {
						$ana_img = substr($ana_img,0,-1);
						$ana_img2 = substr($ana_img2,0,-1);
						$ana_img .= "&amp;chl=".$ana_img2."'/><p/>";
						$show_form .= $ana_img;
					}

					$prac_item_object->dbFreeResult();
				}
			}
			$q_seikai = 0;
			if (count($at_per_pra) <> 0) $q_seikai = intval($right_cnt/count($at_per_pra)*100);

			$show_form .="<h2>"._EXAM_COMMON_PRACTICE_ANA_KAISU.count($at_per_pra)."</h2>";
			$show_form .= "<h2>"._EXAM_COMMON_QUIZ_ANA_SEIKA;
			$show_form .= $q_seikai."%</h2>";
			$show_form .= "<p/><h2>"._EXAM_STU_PRACTICE_YOUR_ANS."</h2>";
			$show_form .= $your_answer."<p/>";
			$show_form .= "<p/>"._NORM_COMMON_LECTURE_COMMENT."<p/>";
			$show_form .= source2Html($res["comment"])."<br/>";

			$show_form .= "<hr/>";
		}
		$praclink_object->dbFreeResult();
	}
	$student_answer = "";

} else {
	$show_form = "<font color='red'>".$err_msg."<br/>Irregular Parameter</font>";
}

}


if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'usr_lec_info/event_view.tpl');
$show_data = str_replace(':EVENT_SHOW_REP:', $answer_num_txt.$show_form, $show_data);
$show_data = str_replace(':ERR_MSG_REP:', $err_msg, $show_data);
$show_data = str_replace(':YOUR_ANS_REP:', $student_answer, $show_data);

echo $show_data;
?>