<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
require_once '../../util/validate.php';
require_once '../../util/post_util.php';

$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../util/change_util.php';
require_once '../../data/table_access.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_arr = $_SESSION[SESSION_ADMIN];
$action_type = "";
$vote_title = "";
$vote_txt = "";
$ans_txt = "";
$dep = "";
$dep_name="";

$comment = "";
$err_msg = "";
$vote_id = "";
$item_list = "";
$back_file = "";
$is_able="";
$img_url="";
$img_view = "";
$lecture_id = "";

if (!isset($_POST["lecture_id"]) || !is_numeric($_POST["lecture_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$lecture_id = $_POST["lecture_id"];
if (isset($_POST['action_type'])) {
	$action_type = $_POST['action_type'];
}

if ($action_type == "insert") {
	$back_file ="make_instant_vote.php?lecture_id=".$lecture_id;
} else if (isset($_POST["up_id"]) && is_numeric($_POST["up_id"])) {
	$back_file = "arrange_instant_vote.php?vote_id=".intval($_POST["up_id"]);
	$back_file .= "&lecture_id=".$lecture_id;
} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$vote_title = chPostToForm($_POST["vote_title"]);
$vote_txt = chPostToForm($_POST["vote_txt"]);
$ans_txt = htmlspecialchars($_POST["ans_txt"],ENT_QUOTES);
$dep = htmlspecialchars($_POST["department"],ENT_QUOTES);
$vote_id = htmlspecialchars($_POST["up_id"],ENT_QUOTES);
$comment = chPostToForm($_POST["comment"]);
$img_url = chPostToForm($_POST["img_url"]);
if ($img_url <> "") $img_view = "<img src='".$img_url."' width = 300 height=200 />".$img_url;

//$data_object = new CDbAccess();
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {

	$dep_object = new CDepartmentTableAccess();
	//$dep_data = $dep_object->getDetailDepartmentData($data_object->conn, $dep);
	$dep_data = $dep_object->getDetailDepartmentData($conn, $dep);
	if ($dep_data <> false) {
		$dep_name = htmlspecialchars($dep_data['department_nam'],ENT_QUOTES);
	} else {
		$dep_name = _COMMON_NOTSET_TXT;
	}

//	$data_object->closeDB();
//}

for ($i=0; $i < 10; $i++) {
	//if ($ans_txt == 0) {
	if ($ans_txt <>0) {
		if ($_POST["item_bango".$i] <> "") {
		$item_list .= htmlspecialchars($_POST["item_bango".$i],ENT_QUOTES).". ";
		$item_list .= "<input type='hidden' name='item_bango".$i."'";
		$item_list .= "value='".htmlspecialchars($_POST["item_bango".$i],ENT_QUOTES)."'/>";

		//$item_list .= htmlspecialchars($_POST["item_txt".$i],ENT_QUOTES)." ";
		$item_list .= source2Html($_POST["item_txt".$i])." ";

		$item_list .= "<input type='hidden' name='item_txt".$i."'";
		$item_list .= "value='".htmlspecialchars($_POST["item_txt".$i],ENT_QUOTES)."'/>";
		}
	}
}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
if ($err_msg <> "") $is_able = "DISABLED";

$show_data = file_get_contents('../../templates/ad_vote/instant_vote_confirm.tpl');
$show_data = str_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);

$show_data = str_replace(':TITLE_REP:', $vote_title, $show_data);
$show_data = str_replace(':TEXT_REP1:', text2Html(nl2br($vote_txt)), $show_data);
$show_data = str_replace(':TEXT_REP2:', $vote_txt, $show_data);
$show_data = str_replace(':ANS_REP1:', $QUEST_TYPE_ARR2[$ans_txt], $show_data);
$show_data = str_replace(':ANS_REP2:', $ans_txt, $show_data);
$show_data = str_replace(':DEP_REP1:', $dep_name, $show_data);
$show_data = str_replace(':DEP_REP2:', $dep, $show_data);

$show_data = str_replace(':IMG_URL_REP:', $img_url, $show_data);
$show_data = str_replace(':IMG_VIEW_REP:', $img_view, $show_data);

$show_data = str_replace(':COMMENT_REP:', text2Html(nl2br($comment)), $show_data);
$show_data = str_replace(':COMMENT_REP2:', $comment, $show_data);
$show_data = str_replace(':ITEM_LIST_REP:', $item_list, $show_data);

$show_data = str_replace(':PRA_ID_REP:', $vote_id, $show_data);
$show_data = str_replace(':LEC_ID_REP:', $lecture_id, $show_data);

$show_data = str_replace(':ACT_TYPE_REP:', $action_type, $show_data);
$show_data = str_replace(':BACK_FILE_REP:', $back_file, $show_data);
$show_data = str_replace(':IS_ABLE_REP:', $is_able, $show_data);

echo $show_data;

?>