<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
} else {
	$ses_arr = $_SESSION[SESSION_ADMIN];
	$event_id = "";
	$event_type = "";
	$action_type = "";

	if (!isset($_POST["action_type"]) || !isset($_POST["event_id"])
		|| !isset($_POST["event_type"])) {
		$err_msg = "Parameter Error";
	} else {
		if (!is_numeric($_POST["event_id"]) || !is_numeric($_POST["event_type"])) {
			$err_msg = "Parameter Error";
		}

	}
	if ($err_msg == "") {
		$note_key_object = new CNoteKeywordTableAccess();
		$note_keytext_object = new CNoteKeyTextAccess();
		$event_id = $_POST["event_id"];
		$event_type = $_POST["event_type"];

		if ($_POST["action_type"] == "insert") {
			//˿Υ
			$note_key_object->insertNoteKeyword($conn,$event_id,$event_type,$_POST["score"]);
			$note_key_id = $note_key_object->getLatestId("note_keyword_id",$conn);
			$note_keytext_object->insertNoteKeyText($conn,$note_key_id,$_POST["new_key_word"]);
		} else if ($_POST["action_type"] == "update") {
			//¸Υɤ򹹿
			$key_cnt = intval($_POST["key_cnt"]);
			for ($i=0; $i<$key_cnt; $i++) {
				if (!isset($_POST["note_key_id_".$i]) ||
				!is_numeric($_POST["note_key_id_".$i])) {
					$err_msg = "Parameter Error";
					break;
				} else {
					$note_key_id = $_POST["note_key_id_".$i];
					$note_keytext_object->deleteAllNoteKeyText($conn,$note_key_id);
					$j=0;
					$exist=false;
					while (isset($_POST["key_cand_".$note_key_id."_".$j])) {
						if ($_POST["key_cand_".$note_key_id."_".$j] <> "") {
							$note_keytext_object->insertNoteKeyText(
								$conn,$note_key_id,
								$_POST["key_cand_".$note_key_id."_".$j]);
							$exist = true;
						}
						$j++;
					}
					if (!$exist) {
						$note_key_object->deleteNoteKeyword($conn,$note_key_id);
					}
				}
			}

		} else if ($_POST["action_type"] == "add_cand") {
			//ɷ˸ä
			if (!isset($_POST["add_key_id"]) || !is_numeric($_POST["add_key_id"])) {
				$err_msg="Parameter Error";
			} else {
				$note_key_id = $_POST["add_key_id"];
				$new_text = $_POST["new_key_cand_".$note_key_id];
//var_dump($_POST);
				//echo $note_key_id."1<br/>";
				//echo $new_text."2<br/>";

				$note_keytext_object->insertNoteKeyText($conn,$note_key_id,$new_text);
			}
		} else if ($_POST["action_type"] == "delete") {
			$key_cnt = intval($_POST["key_cnt"]);
			for ($i=0; $i < $key_cnt; $i++) {
				if (isset($_POST["del_".$i]) && is_numeric($_POST["del_".$i])) {
					$note_key_object->deleteNoteKeyword($conn,$_POST["del_".$i]);
				}
			}
		} else {
			$err_msg = "Parameter Error";
		}
	}


	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	if ($err_msg == "") {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/material_reg/set_note_key_form.php?event_id=".intval($event_id)."&event_type=".intval($event_type));
		exit;
	} else {
		echo "<font color='red'>".$err_msg."</font>";
	}
}

?>